# volume group snapshot

Block Storage v3

## volume group snapshot create

Create a volume group snapshot.

This command requires `--os-volume-api-version` 3.13 or greater.

    openstack volume group snapshot create
        [--name <name>]
        [--description <description>]
        <volume_group>

--name <name>

  Name of the volume group snapshot.

--description <description>

  Description of a volume group snapshot.

volume_group

  Name or ID of volume group to create a snapshot of.

## volume group snapshot delete

Delete a volume group snapshot.

This command requires `--os-volume-api-version` 3.14 or greater.

    openstack volume group snapshot delete <snapshot>

snapshot

  Name or ID of volume group snapshot to delete

## volume group snapshot list

Lists all volume group snapshot.

This command requires `--os-volume-api-version` 3.14 or greater.

    openstack volume group snapshot list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Shows details for all projects (admin only).

## volume group snapshot show

Show detailed information for a volume group snapshot.

This command requires `--os-volume-api-version` 3.14 or greater.

    openstack volume group snapshot show <snapshot>

snapshot

  Name or ID of volume group snapshot.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.